#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		mainname	%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	xfce4-xkb-plugin
Version		:	0.8.1
Release		:	17.0.10.rel%{?dist}

Summary		:	To setup and use multiple keyboard layouts.
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://archive.xfce.org/src/panel-plugins/xfce4-xkb-plugin

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	exo
BuildRequires	:	garcon
BuildRequires	:	libwnck
BuildRequires	:	libxfce4ui
BuildRequires	:	pkgconfig(librsvg-2.0)
BuildRequires	:	libxklavier-devel
BuildRequires	:	xfce4-panel

#-----------------------------------------------------------------------------
%description
This plugin allows you to setup and use multiple (currently
ip to 4 due to X11 protocol limitation) keyboard layouts.

You can choose the keyboard model, what key combination to
use to switch between the layouts, the actual keyboard layouts,
the way in which the current layout is being displayed (country
flag image or text) and the layout policy, which is whether to
store the layout globally (for all windows), per application or
per window.

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--includedir=%{_includedir}			\
	--sysconfdir=%{_sysconfdir}			\
	--libdir=%{_libdir}				\
	--libexecdir=%{_libexecdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--infodir=%{_infodir}				\
	--sharedstatedir=%{_var}/lib			\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--enable-gtk3					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

%files			
%defattr(-,root,root,-)
%doc AUTHORS NEWS README
%{_libdir}/%{mainname}/panel/plugins/libxkb.{la,so}
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/%{mainname}/xkb/flags/*.svg
%{_datadir}/%{mainname}/panel/plugins/xkb.desktop

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


%changelog
